<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>view</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="view";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../test/package-summary.html">Prev Package</a></li>
<li>Next Package</li>
</ul>
<ul class="navList">
<li><a href="../index.html?view/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;view</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../view/Aide.html" title="class in view">Aide</a></td>
<td class="colLast">
<div class="block">The Class Aide is a jpanel where the information of the functionnment of this game are explain..</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../view/Blokus.html" title="class in view">Blokus</a></td>
<td class="colLast">
<div class="block">The Class Blokus is the frame who contain the game blokus.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../view/GlassPane.html" title="class in view">GlassPane</a></td>
<td class="colLast">
<div class="block">This glassPane is used to animate the drag and drop of the pieces in the grid, with transparency.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../view/Grid.html" title="class in view">Grid</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></td>
<td class="colLast">
<div class="block">The Class LinePlayer is a class who build a JPanel used to define a player (its name, color and if it is a IA).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../view/MainMenu.html" title="class in view">MainMenu</a></td>
<td class="colLast">
<div class="block">The Class MainMenu is a jPanel who represent the menu where the player can access to all other menu.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../view/MenuCreation.html" title="class in view">MenuCreation</a></td>
<td class="colLast">
<div class="block">The Class MenuCreation is a jPanel where the user can define all player of the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../view/MenuLan.html" title="class in view">MenuLan</a></td>
<td class="colLast">
<div class="block">The Class MenuLan is the menu to do a game online.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../view/MenuPiece.html" title="class in view">MenuPiece</a></td>
<td class="colLast">
<div class="block">The Class MenuPiece is the menu where the user can create a new piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../view/MyScrollBarUI.html" title="class in view">MyScrollBarUI</a></td>
<td class="colLast">
<div class="block">This class stylish the scrollBar</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../view/Parametres.html" title="class in view">Parametres</a></td>
<td class="colLast">
<div class="block">The Class Parametres.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../view/PlayerBar.html" title="class in view">PlayerBar</a></td>
<td class="colLast">
<div class="block">This jPanel display the statue of his player : his name, score and number of piece.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../view/PlayerPiece.html" title="class in view">PlayerPiece</a></td>
<td class="colLast">
<div class="block">The Class PlayerPiece is a jPanel who represent a piece with a board of jLabel.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../view/PlayerPieces.html" title="class in view">PlayerPieces</a></td>
<td class="colLast">
<div class="block">The Class PlayerPieces is a jPanel who store and display all playerPiece of a player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../view/PlayerZone.html" title="class in view">PlayerZone</a></td>
<td class="colLast">
<div class="block">The Class PlayerZone is a jPanel who display the playerBar and playerPieces of a player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../view/ViewGame.html" title="class in view">ViewGame</a></td>
<td class="colLast">
<div class="block">The Class ViewGame is the main view class of a game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../view/ZoneInformation.html" title="class in view">ZoneInformation</a></td>
<td class="colLast">
<div class="block">The Class ZoneInformation is a jpanel place in the bottom of a viewGame.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../test/package-summary.html">Prev Package</a></li>
<li>Next Package</li>
</ul>
<ul class="navList">
<li><a href="../index.html?view/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
